@import "reset.css";
@import "fonts.css";

:root {
  --green: oklch(38.2% 0.056 161.8);
  --lightgreen: oklch(85.41% 0.034 161.8);
  --yellow: oklch(85.41% 0.1466 100);
  --red: oklch(85.41% 0.1466 0);
}

.button {
  display: block;
  padding: 1rem 1.618rem;
  width: max-content;
  border-radius: 0.246rem;
  background-color: var(--yellow);
  color: var(--green);
  font-size: 1em;
  font-weight: 900;
  text-decoration: none;
  cursor: pointer;
  transform: rotate(-10deg) skewX(-10deg);
  box-shadow: 0.333em 0.4em 0.25em rgba(0, 0, 0, 0.333);
}

.button:hover {
  transform: rotate(-10deg) skewX(-10deg)
    translate3d(-0.056rem, -0.056rem, -0.056rem);
  box-shadow: 0.5em 0.6em 0.333em rgba(0, 0, 0, 0.333);
}

.button:active {
  transform: rotate(-10deg) skewX(-10deg)
    translate3d(0.056rem, 0.056rem, 0.056rem);
  box-shadow: 0.25em 0.3em 0.2em rgba(0, 0, 0, 0.333);
}

.container {
  position: relative;
  margin: 0 auto;
  padding: 0 1.618rem;
  width: 100%;
  max-width: 65ch;
}

body {
  width: 100%;
  height: 100%;
  background: var(--green);
  color: var(--lightgreen);
  font-family:
    Lechletics, ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 1rem;
  line-height: 1.5;
}

@media (width >= 40rem) {
  body {
    font-size: 1.125rem;
  }
}

@media (width >= 64rem) {
  body {
    font-size: 1.25rem;
  }
}

body::before {
  content: " ";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("../images/dex-ezekiel-KPlm3w-XJhI-unsplash.jpg");
  background-blend-mode: screen;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center bottom;
  opacity: 15%;
}

body > header {
  position: relative;
  padding: 2.5rem 0 1rem;
  width: 100%;
}

body > header div.wrapper {
  position: relative;
  /*margin: 0 auto;*/
  max-width: 24rem;
}

body > header a.logo {
  display: block;
  color: var(--yellow);
}

body > header a.logo svg {
  display: block;
  padding: 10% 0;
  color: var(--yellow);
  transform: rotate(-10deg) skewX(-10deg);
  fill: currentColor;
}

body > header .socials {
  position: absolute;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: end;
  gap: 0.382rem;
  width: 50%;
  height: 2rem;
  color: var(--lightgreen);
}

body > header .socials a {
  display: block;
  width: 2rem;
  height: 2rem;
  color: var(--lightgreen);
  text-decoration: none;
  opacity: 0.5;
}

body > header .socials a:hover {
  opacity: 1;
}

body > header #mail svg {
  height: 2rem;
  fill: none;
  stroke-width: 1.5;
  stroke: currentColor;
}

body > header #whatsapp svg {
  padding: 0.146rem;
  height: 2rem;
  fill: currentColor;
}

body > header #instagram svg {
  padding: 0.25rem;
  height: 2rem;
  fill: currentColor;
}

body > main {
  margin: 4.236rem 0 2.618rem 0;
}

body > footer {
  padding: 1rem 0 2.5rem;
}

main h1,
main h2 {
  margin: 0;
  font-size: 2em;
  line-height: 1.333;
  text-transform: uppercase;
}

main h1 {
  font-weight: 700;
}

main h2 {
  margin-bottom: 1.618rem;
  font-weight: 100;
}

main span {
  display: inline-block;
}

main .cta .button {
  display: block;
  margin: 4.236rem auto;
}

@media (width >= 40rem) {
  main .cta .button {
    margin-left: 0;
  }
}
